[project]
name = "assignment-hai"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
    "fastapi==0.115.8",
    "flask>=3.1.3",
    "grad-cam>=1.5.5",
    "gradio==5.16.1",
    "jupyter>=1.1.1",
    "lime>=0.2.0.1",
    "pydantic==2.10.6",
    "roboflow>=1.2.16",
    "scipy>=1.17.1",
    "torch>=2.10.0",
    "torchvision>=0.25.0",
]

[dependency-groups]
dev = [
    "ipykernel>=7.2.0",
]
